Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## ch.mimo.netty.handler.codec.icap
Enum IcapResponseStatus

    java.lang.Object
      java.lang.Enum<IcapResponseStatus>
          ch.mimo.netty.handler.codec.icap.IcapResponseStatus

All Implemented Interfaces:
  Serializable, Comparable<IcapResponseStatus>

    public enum IcapResponseStatus

extends Enum<IcapResponseStatus>

ICAP response status enum. contains all valid response codes. like 200, 204 and others.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)

Enum Constant Summary
`ACCEPTED`
`BAD_GATEWAY`
`BAD_REQUEST`
`CONFLICT`
`CONTINUE`
`CREATED`
`EXPECTATION_FAILED`
`FAILED_DEPENDENCY`
`FORBIDDEN`
`FOUND`
`GATEWAY_TIMEOUT`
`GONE`
`ICAP_SERVICE_NOT_FOUND`
`ICAP_VERSION_NOT_SUPPORTED`
`INSUFFICIENT_STORAGE`
`LENGTH_REQUIRED`
`LOCKED`
`METHOD_NOT_ALLOWED`
`MOVED_PERMANENTLY`
`MULTI_STATUS`
`MULTIPLE_CHIOCES`
`NO_CONTENT`
`NON_AUTHORITATIVE_INFORMATION`
`NOT_ACCEPTABLE`
`NOT_EXTENDED`
`NOT_IMPLEMENTED`
`NOT_MODIFIED`
`OK`
`PARTIAL_CONTENT`
`PAYMENT_REQUIRED`
`PRECONDITION_FAILED`
`PROCESSING`
`PROXY_AUTHENTICATION_REQUIRED`
`REQUEST_ENTITY_TOO_LARGE`
`REQUEST_TIMEOUT`
`REQUEST_URI_TOO_LONG`
`REQUESTED_RANGE_NOT_SATISFIABLE`
`RESET_CONTENT`
`SEE_OTHER`
`SERVER_ERROR`
`SERVICE_UNAVAILABLE`
`SWITCHING_PROTOCOLS`
`TEMPORARY_REDIRECT`
`UNAUTHORIZED`
`UNORDERED_COLLECTION`
`UNPROCESSABLE_ENTITY`
`UNSUPPORTED_MEDIA_TYPE`
`UPGRADE_REQUIRED`
`USE_PROXY`
`VARIANT_ALSO_NEGOTIATES`

Method Summary
`static IcapResponseStatus` | `fromCode(String code)`
`int` | `getCode()`
`void` | `toResponseInitialLineValue(org.jboss.netty.buffer.ChannelBuffer buffer)`
`static IcapResponseStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IcapResponseStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTINUE

    public static final IcapResponseStatus CONTINUE

### SWITCHING_PROTOCOLS

    public static final IcapResponseStatus SWITCHING_PROTOCOLS

### PROCESSING

    public static final IcapResponseStatus PROCESSING

### OK

    public static final IcapResponseStatus OK

### CREATED

    public static final IcapResponseStatus CREATED

### ACCEPTED

    public static final IcapResponseStatus ACCEPTED

### NON_AUTHORITATIVE_INFORMATION

    public static final IcapResponseStatus NON_AUTHORITATIVE_INFORMATION

### NO_CONTENT

    public static final IcapResponseStatus NO_CONTENT

### RESET_CONTENT

    public static final IcapResponseStatus RESET_CONTENT

### PARTIAL_CONTENT

    public static final IcapResponseStatus PARTIAL_CONTENT

### MULTI_STATUS

    public static final IcapResponseStatus MULTI_STATUS

### MULTIPLE_CHIOCES

    public static final IcapResponseStatus MULTIPLE_CHIOCES

### MOVED_PERMANENTLY

    public static final IcapResponseStatus MOVED_PERMANENTLY

### FOUND

    public static final IcapResponseStatus FOUND

### SEE_OTHER

    public static final IcapResponseStatus SEE_OTHER

### NOT_MODIFIED

    public static final IcapResponseStatus NOT_MODIFIED

### USE_PROXY

    public static final IcapResponseStatus USE_PROXY

### TEMPORARY_REDIRECT

    public static final IcapResponseStatus TEMPORARY_REDIRECT

### BAD_REQUEST

    public static final IcapResponseStatus BAD_REQUEST

### UNAUTHORIZED

    public static final IcapResponseStatus UNAUTHORIZED

### PAYMENT_REQUIRED

    public static final IcapResponseStatus PAYMENT_REQUIRED

### FORBIDDEN

    public static final IcapResponseStatus FORBIDDEN

### ICAP_SERVICE_NOT_FOUND

    public static final IcapResponseStatus ICAP_SERVICE_NOT_FOUND

### METHOD_NOT_ALLOWED

    public static final IcapResponseStatus METHOD_NOT_ALLOWED

### NOT_ACCEPTABLE

    public static final IcapResponseStatus NOT_ACCEPTABLE

### PROXY_AUTHENTICATION_REQUIRED

    public static final IcapResponseStatus PROXY_AUTHENTICATION_REQUIRED

### REQUEST_TIMEOUT

    public static final IcapResponseStatus REQUEST_TIMEOUT

### CONFLICT

    public static final IcapResponseStatus CONFLICT

### GONE

    public static final IcapResponseStatus GONE

### LENGTH_REQUIRED

    public static final IcapResponseStatus LENGTH_REQUIRED

### PRECONDITION_FAILED

    public static final IcapResponseStatus PRECONDITION_FAILED

### REQUEST_ENTITY_TOO_LARGE

    public static final IcapResponseStatus REQUEST_ENTITY_TOO_LARGE

### REQUEST_URI_TOO_LONG

    public static final IcapResponseStatus REQUEST_URI_TOO_LONG

### UNSUPPORTED_MEDIA_TYPE

    public static final IcapResponseStatus UNSUPPORTED_MEDIA_TYPE

### REQUESTED_RANGE_NOT_SATISFIABLE

    public static final IcapResponseStatus REQUESTED_RANGE_NOT_SATISFIABLE

### EXPECTATION_FAILED

    public static final IcapResponseStatus EXPECTATION_FAILED

### UNPROCESSABLE_ENTITY

    public static final IcapResponseStatus UNPROCESSABLE_ENTITY

### LOCKED

    public static final IcapResponseStatus LOCKED

### FAILED_DEPENDENCY

    public static final IcapResponseStatus FAILED_DEPENDENCY

### UNORDERED_COLLECTION

    public static final IcapResponseStatus UNORDERED_COLLECTION

### UPGRADE_REQUIRED

    public static final IcapResponseStatus UPGRADE_REQUIRED

### SERVER_ERROR

    public static final IcapResponseStatus SERVER_ERROR

### NOT_IMPLEMENTED

    public static final IcapResponseStatus NOT_IMPLEMENTED

### BAD_GATEWAY

    public static final IcapResponseStatus BAD_GATEWAY

### SERVICE_UNAVAILABLE

    public static final IcapResponseStatus SERVICE_UNAVAILABLE

### GATEWAY_TIMEOUT

    public static final IcapResponseStatus GATEWAY_TIMEOUT

### ICAP_VERSION_NOT_SUPPORTED

    public static final IcapResponseStatus ICAP_VERSION_NOT_SUPPORTED

### VARIANT_ALSO_NEGOTIATES

    public static final IcapResponseStatus VARIANT_ALSO_NEGOTIATES

### INSUFFICIENT_STORAGE

    public static final IcapResponseStatus INSUFFICIENT_STORAGE

### NOT_EXTENDED

    public static final IcapResponseStatus NOT_EXTENDED

Method Detail

### values

    public static IcapResponseStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IcapResponseStatus c : IcapResponseStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IcapResponseStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getCode

    public int getCode()

### toResponseInitialLineValue

    public void toResponseInitialLineValue(org.jboss.netty.buffer.ChannelBuffer buffer)

### fromCode

    public static IcapResponseStatus fromCode(String code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.